<template>
  <section class="b-response b-response--error">
    <div class="b-response__body">
      <i class="icon icon--close"></i>
      <h2 class="b-response__title">Something went wrong :(</h2>
      <p class="b-response__description">
        Your profile wasn't submitted.
        <br />
        Please <button @click="resetStateHandler()">try again</button> later.
      </p>
    </div>
  </section>
</template>

<script>
import { mapActions, mapMutations } from "vuex";
export default {
  name: "SubmitError",
  methods: {
    ...mapMutations(["resetState"]),
    ...mapActions(["fetchData"]),
    async resetStateHandler() {
      await this.$store.commit("resetState");
      this.$store.dispatch("fetchData");
    }
  }
};
</script>

<style lang="scss"></style>
